Bug 72866 - ctrl/capslock switch option incorrect in XF86Config
ctrl/capslock switch option incorrect in XF86Config
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
null
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Michael Fulbright
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-28 12:11 EDT by Matt Brodeur
Modified: 2007-04-18 12:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-28 16:56:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Brodeur 2002-08-28 12:11:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.2 (X11; Linux i686; U;) Gecko/20020510

Description of problem:
In the /etc/X11/XF86Config file that was "generated by anaconda" the following
lines appear:

# If you'd like to switch the positions of your capslock and
# control keys, use:
#       Option  "XkbOptions"    "ctrl:nocaps"

The comment doesn't line up with the option presented.  The "nocaps" option
turns the capslock into a third CTRL key (on most US keyboards), leaving you
with no capslock.  The correct option to achieve the result in the comment is 
"ctrl:swapcaps", as such:

       Option  "XkbOptions"    "ctrl:swapcaps"


Version-Release number of selected component (if applicable):
XFree86-4.2.0-65

How reproducible:
Always

Steps to Reproduce:
1. Install (null) w/ XFree86
2. Search /etc/X11/XF86Config for caps/ctrl switching option
3. Find a comment/option mismatch
	

Actual Results:  Saw the "nocaps" option presented

Expected Results:  "swapcaps" option should be presented instead

Additional info:
Comment 1 Mike A. Harris 2002-08-28 12:49:53 EDT
"Generated by anaconda" implies that it is potentially an anaconda
bug, not an XFree86 bug.  Reassigning.
Comment 2 Jeremy Katz 2002-08-28 16:56:24 EDT
Fixed in CVS
Comment 3 Mike McLean 2002-08-29 15:18:24 EDT
confirmed
CLOSED->RAWHIDE

Note You need to log in before you can comment on or make changes to this bug.